## nvidia-xconfig 460.32.03

=== debian/changelog ===
nvidia-xconfig (460.32.03-1) unstable; urgency=medium

  * New upstream release.
  * Restore hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Jan 2021 18:24:47 +0100

nvidia-xconfig (455.45.01-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch version to 4. No changes needed.
  * Bump Standards-Version to 4.5.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Jan 2021 15:22:37 +0100

nvidia-xconfig (450.66-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.
  * Update Lintian overrides.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Sep 2020 23:49:31 +0200

nvidia-xconfig (450.57-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat (= 13).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jul 2020 15:53:05 +0200
