=== debian/control ===
Source: nvidia-xconfig
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.18.8),
 m4,
 pkg-config,
 xserver-xorg-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://download.nvidia.com/XFree86/nvidia-xconfig/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-xconfig
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-xconfig.git

Package: nvidia-xconfig
Architecture: i386 amd64 armhf
Pre-Depends: nvidia-installer-cleanup
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: nvidia-driver-any
Description: deprecated X configuration tool for non-free NVIDIA drivers
 This tool is deprecated. The NVIDIA drivers now automatically integrate with
 the Xorg Xserver configuration. Creating an xorg.conf is no longer needed for
 normal setups.
 .
 The nvidia-xconfig program helps with manipulation of X configuration
 files, primarily for systems that use the non-free drivers provided by
 NVIDIA.  It automatically changes the configuration to use the NVIDIA
 driver and can add additional options given on the command line.
