=== debian/changelog ===
nvidia-xconfig (470.103.01-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Mar 2022 23:46:09 +0100

nvidia-xconfig (470.103.01-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Feb 2022 12:09:14 +0100

nvidia-xconfig (470.82.00-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Nov 2021 16:04:21 +0100

nvidia-xconfig (470.57.02-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Aug 2021 13:02:45 +0200
