=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  pkg-config,
  xserver-xorg-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://download.nvidia.com/XFree86/nvidia-xconfig/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-xconfig
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-xconfig.git
