=== debian/watch ===
version=4

https://download.nvidia.com/XFree86/nvidia-xconfig/nvidia-xconfig-(.*).tar.(?:gz|bz2)
