=== debian/changelog ===
nvidia-xconfig (520.56.06-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Feb 2023 11:00:25 +0100

nvidia-xconfig (515.86.01-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 Jan 2023 03:05:15 +0100

nvidia-xconfig (510.108.03-1) unstable; urgency=medium

  * New upstream release.
  * Do not build for armhf and i386.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 12:14:19 +0100

nvidia-xconfig (510.85.02-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Oct 2022 15:44:22 +0200

nvidia-xconfig (470.129.06-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.
  * Add salsa-ci.yml.
  * Bump Standards-Version to 4.6.1. No changes needed.

  [ Luca Boccassi ]
  * Add patch to fix manpage build reproducibility.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 15:07:22 +0200
