=== debian/control ===
--- 
+++ 
@@ -6,18 +6,17 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dpkg-dev (>= 1.18.8),
  m4,
  pkg-config,
  xserver-xorg-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://download.nvidia.com/XFree86/nvidia-xconfig/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-xconfig
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-xconfig.git
 
 Package: nvidia-xconfig
-Architecture: i386 amd64 armhf
+Architecture: amd64
 Pre-Depends: nvidia-installer-cleanup
 Depends:
  ${shlibs:Depends},
