## nvidia-xconfig 535.171.04

=== debian/changelog ===
nvidia-xconfig (535.171.04-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Mar 2024 16:58:37 +0100

nvidia-xconfig (535.171.04-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2024 11:01:38 +0100

nvidia-xconfig (530.41.03-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Mar 2024 18:19:15 +0100

nvidia-xconfig (525.147.05-1) unstable; urgency=medium

  * New upstream release.
  * Switch B-D from pkg-config to pkgconf.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Feb 2024 01:00:28 +0100
