=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  m4,
- pkg-config,
+ pkgconf,
  xserver-xorg-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
