## nvidia-xconfig 550.163.01

=== debian/changelog ===
nvidia-xconfig (550.163.01-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 May 2025 22:30:51 +0200

nvidia-xconfig (545.29.06-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 May 2025 19:21:23 +0200
