=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  pkgconf,
  xserver-xorg-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://download.nvidia.com/XFree86/nvidia-xconfig/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-xconfig
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-xconfig.git
